### Virtual Method

# St Widget navigate_focus

#### Declaration [src]

    gboolean
    navigate_focus (
      StWidget* self,
      ClutterActor* from,
      StDirectionType direction
    )

#### Description

No description available.

#### Parameters

`from`

  Type: `ClutterActor`

  The actor that the focus is coming from.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`direction`

  Type: `StDirectionType`

  The direction focus is moving in.

#### Return value

Type: `gboolean`

No description available.